Bug 385292

Summary: akregator does not use system proxy settings
Product: [Applications] akregator Reporter: Jonathan Marten <jjm>
Component: internal browserAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED INTENTIONAL    
Severity: normal    
Priority: NOR    
Version: GIT (master)   
Target Milestone: ---   
Platform: OpenSUSE   
OS: Linux   
Latest Commit: Version Fixed In:

Description Jonathan Marten 2017-10-02 10:02:06 UTC
The system proxy settings are set to "Manually specified proxy configuration", using a Privoxy proxy on another host for HTTP and HTTPS, with no proxy for other protocols.

Konqueror (with Webkit) honours the proxy settings and appropriate passes/blocks are seen in Privoxy's log.  The same applies to Akregator's feed fetching, the RSS entries are seen in the log.  However, no fetches for the article preview, or articles opened in tabs, are seen in the log.  Watching the network shows that no traffic is seen to/from the proxy host.

Possibly the same problem as bug #129895, although that was closed WORKSFORME a decade ago for an ancient Akregator version.  Feel free to duplicate and reopen that if appropriate.
Comment 1 Sam Zhang 2018-03-12 10:00:45 UTC
It seems to have been resolved in Akergator 5.7.2, tested in openSUSE Tumbleweed.
Comment 2 Jonathan Marten 2018-03-12 10:13:00 UTC
It depends on the selected proxy type (in Konqueror's proxy settings).  

"Use system proxy configuration", with settings taken from the http_proxy and similar environment variables, works and access the proxy correctly for all feeds and article views.  "Manually specified proxy configuration", with the proxy hbosts/ports explicitly specified, does not work.

This is a known limitation of anything based on QWebEngine, it can only use proxy environment variables.  Maybe this should be documented somewhere - the logical place would be Konqueror's proxy settings.
Comment 3 Jonathan Marten 2021-04-26 07:59:59 UTC
Any application using QtWebEngine can only user certain proxy settings, not all of those which are available in the KCM.
https://invent.kde.org/frameworks/kio/-/merge_requests/422 added a warning in the KCM for the settings which are not compatible.